% Generated by roxygen2 (4.1.0): do not edit by hand
% Please edit documentation in R/assert-is-string.R, R/is-string.R
\name{assert_all_are_hex_colors}
\alias{assert_all_are_hex_colors}
\alias{assert_all_are_hex_colours}
\alias{assert_any_are_hex_colors}
\alias{assert_any_are_hex_colours}
\alias{is_hex_color}
\alias{is_hex_colour}
\title{Does the character vector contain hex colors?}
\usage{
assert_all_are_hex_colors(x)

assert_any_are_hex_colors(x)

assert_all_are_hex_colours(x)

assert_any_are_hex_colours(x)

is_hex_color(x)

is_hex_colour(x)
}
\arguments{
\item{x}{Input to check.}
}
\value{
A logical vector that is \code{TRUE} when the input contains hex
colours.
}
\description{
Checks that the input contains hexadecimal colors.
}
\note{
A string is considered to represent a hexadecimal colour when contains
a hash followed by six hex values.  That is, digits or the letters from a to
f (case insensitive).
}
\examples{
x <- c(
  "#012345", "#789abc", "#defDEF",  #ok
  "012345",                         #no hash
  "#g12345",                        #bad letter
  "#01 23 45",                      #contains spaces
  "#12345", "#1234567"              #wrong length
)
is_hex_color(x)
assert_any_are_hex_colors(x)
#These examples should fail.
dont_stop(assert_all_are_hex_colors(x))
}

